Name:          xqjapi
Version:       1.0
Release:       %mkrel 0.20080114.2
Summary:       JSR 225: XQuery API for Java™ (XQJ)
Group:         Development/Java
License:       BSD, GPL
Url:           http://jcp.org/aboutJava/communityprocess/final/jsr225/index.html
# http://www.oracle.com/technology/tech/xml/xquery/xqj/
Source0:       xqjri-20080114.zip
Source1:       xqjtck-20080114.zip
BuildRequires: java-gcj-compat-devel
BuildRequires: jpackage-utils
Requires:      jpackage-utils
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
JSR 225: XQuery API for Java™ (XQJ).

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      jpackage-utils

%description javadoc
JSR 225: XQuery API for Java™ (XQJ).

This package contains javadoc for %{name}

%package -n xqjtck
Group:         Development/Java
Summary:       Technology Compatibility Kit (TCK) for XQuery API for Java™ (XQJ)
BuildRequires: junit
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      jpackage-utils
Requires:      junit

%description -n xqjtck
XQJ TCK is the Technology Compatibility Kit (TCK) for XQuery API for Java™ (XQJ).

This TCK is used to test whether or not an XQJ implementation complies with the
XQJ specification.

%package -n xqjtck-javadoc
Group:         Development/Java
Summary:       Javadoc for XQJ TCK
Requires:      xqjtck = %{?epoch:%epoch:}%{version}-%{release}
Requires:      jpackage-utils

%description -n xqjtck-javadoc
Technology Compatibility Kit (TCK) for XQuery API for Java™ (XQJ).

This package contains javadoc for XQJ TCK

%prep
%setup -q -c
for f in $(find . -name "*.jar"); do
	rm -rf $f
done

mkdir -p classes
mkdir -p xqjtck/classes
unzip -q %{SOURCE1} -d xqjtck

%build
export JAVA_HOME=%{_jvmdir}/java-1.5.0
pushd src
  %{_jvmdir}/java-1.5.0/bin/javac -d ../classes \
    -encoding iso-8859-1 \
    $(find . -name "*.java")

  %{_jvmdir}/java-1.5.0/bin/javadoc -d ../javadoc \
    -encoding iso-8859-1 \
      $(find . -name "*.java")
popd

%{_jvmdir}/java-1.5.0/bin/jar cvf xqjapi.jar -C classes .

pushd xqjtck/src
  %{_jvmdir}/java-1.5.0/bin/javac -d ../classes \
    -classpath $(build-classpath junit):../../classes \
    -encoding iso-8859-1 \
    $(find . -name "*.java")
    
  %{_jvmdir}/java-1.5.0/bin/javadoc -d ../../javadoc-tck \
    -classpath $(build-classpath junit):../../classes \
    -encoding iso-8859-1 \
      $(find . -name "*.java")
popd

%{_jvmdir}/java-1.5.0/bin/jar cvf xqjtck.jar -C xqjtck/classes .

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 xqjapi.jar %{buildroot}%{_javadir}/xqjapi-%{version}.jar
install -m 644 xqjtck.jar %{buildroot}%{_javadir}/xqjtck-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/xqjapi-%{version}
cp -pr javadoc/* %{buildroot}%{_javadocdir}/xqjapi-%{version}
ln -sf xqjapi-%{version}  %{buildroot}%{_javadocdir}/xqjapi

mkdir -p %{buildroot}%{_javadocdir}/xqjtck-%{version}
cp -pr javadoc-tck/* %{buildroot}%{_javadocdir}/xqjtck-%{version}
ln -sf xqjtck-%{version}  %{buildroot}%{_javadocdir}/xqjtck

%files
%{_javadir}/xqjapi-%{version}.jar
%{_javadir}/xqjapi.jar
%doc xqjtck/JSR225Licenses.html

%files javadoc
%{_javadocdir}/xqjapi-%{version}
%{_javadocdir}/xqjapi

%files -n xqjtck
%{_javadir}/xqjtck-%{version}.jar
%{_javadir}/xqjtck.jar
%doc xqjtck/readme.html

%files -n xqjtck-javadoc
%{_javadocdir}/xqjtck-%{version}
%{_javadocdir}/xqjtck



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.0-0.20080114.2.mga3
+ Revision: 387345
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 14 2011 dmorgan <dmorgan> 1.0-0.20080114.1.mga2
+ Revision: 133032
- Clean spec file

  + gil <gil>
    - imported package xqjapi

